---
title: Modern evidence requirements
date: 2016-08-03T20:22:29.294Z
layout: post
path: /modern-evidence-requirements/
next: /understand-the-problem-dev-productivity-tip-1/
previous: /hands-on-with-circleci-and-node-js/
tags:
  - ideas
---

A couple years ago, I did my civic duty: I delivered a 'not guilty' verdict on a [driving under the influence (DUI)](https://en.wikipedia.org/wiki/Driving_under_the_influence) case. But none of us on the jury were very happy about it. Why? We needed just a little more objective evidence. Important evidence that only technology can provide.

![drab waiting room](https://static.sinap.ps/blog/2016/08_aug/evidence/waiting-room.jpg)

<div class='fold'></div>

## Anticipation

As an [independent consultant](https://scottnonnenberg.com), jury duty wasn't something I was excited about. It wasn't a chance to 'get away from work' while still being paid. Much like holidays, it's just lost opportunity for work. But I had already delayed it twice: the first was an unplanned late Monday morning arrival (causing a reschedule), and the second was an official deferral request since I knew I would be on contract.

This time I knew I'd have a couple weeks free, and I made sure to get there on time. Once checked in, the waiting room was windowless and unadorned except for a few "do your duty" motivational posters from public figures I didn't recognize. The people around me were settled in for the long haul: they were deep into books, phones, and laptops. I cracked open [Gödel, Escher, Bach](https://en.wikipedia.org/wiki/G%C3%B6del,_Escher,_Bach).

Periodically someone would stand at the door to the room and start listing juror numbers. I quickly learned that you wanted to be called as part of a small group, something like 20-30. The larger groups were for long or high-profile trials, where they knew they'd lose a lot of jurors for various reasons.

Happily, I was called for a group of about 20.

![old-school phone booth](https://static.sinap.ps/blog/2016/08_aug/evidence/phone-booth.jpg)

## Novelty vs. Tradition

In today's world, we can immediately define a term, research a topic, look up an address or even pictures of a storefront or an intersection. We walk around with the ability to take high-resolution video and immediately upload it, sharing it with others. And we don't think twice.

But we had to think about it when the judge first spoke to us as the group of potential jurors. We were not to use our phones for any purpose. We were even warned against looking down into our lap for too long, lest the trial be interrupted while we were reprimanded.

With the exception of the computer on the court clerk's desk, to step into a courtroom is to step a few decades into history. On the one hand, this meant that the building had nice, artistic flourishes like marble floors and real, working, wood-paneled phone booths. On the other, it signalled a connection with deeper history. Where there was no printing press.

Court cases operate almost entirely on the spoken word. Witnesses and lawyers. Very little information is presented outside the context of that dance between the person on the stand and an either friendly or hostile trained questioner.

## Decision

It was a short trial, across three days. Jury selection was all we did that first day since we started in the afternoon. The second day was a long day of trial, and it all might have ended that day. It was our deliberation that leaked into the third day.

The long and short of the trial was this:

* Defendant's car was weaving on the freeway at 2am on Saturday night. We were presented with a short clip of video of this from the police cruiser's dash camera.
* There was the smell of alcohol in the car, per police officer testimony.
* The defendant performed questionably on the roadside sobriety test, as judged by the police officer. We had no video of this test since it was done in front of the defendant's car, and the only camera was the police cruiser dash camera. We did have audio.
* Defendant was arrested and taken to the police station.
* No breathalyzer information was collected. It may have been a machine malfunction, making it impossible to blow properly. But after multiple attempts, the police station technician marked the defendant's failed attempts as 'willful noncompliance.'

In our little deliberation room (which happily included windows), we agonized about whether various players were telling the truth, since we only saw a little bit of video. And we kept that key principle in mind: "did the state make their case?"

As momentum started moving towards acquittal, I made sure we had considered things fully by asking "Okay, if we don't have enough evidence, what would have made the case?"

And the consensus was clear. We needed that breathalyzer test from the police station.

And so, though frustrated, we delivered our 'not guilty' verdict.

## Data Collection

The experience got me thinking. We tend to think of police officers as agents of force or authority. Keeping us safe or catching us out. But really, if we want the justice system to do anything in a given situation, a police officer needs to be focused on collecting good evidence.

Most jurors have smartphones with embedded high-quality video cameras. Video is part of their everyday experience, embedded in social media feeds, streamed to them on demand every night. This instinctive comfort with the visual is made explicit with the ['Pics or It Didn't Happen' meme](http://knowyourmeme.com/memes/pics-or-it-didnt-happen). And [XKCD skillfully connected](https://xkcd.com/1235/) our ever-present data collection devices to our waning interest in visual paranormal phenomena like bigfoot or UFOs.

So, when a modern juror walks into a courtroom, they first feel naked because references to facts, places, and ideas can't be confirmed or researched via the internet. Second, they expect all sorts of evidence outside of the spoken word.

In my case, I think it would have been reasonable to expect much more than the police station breathalyzer results:

* _Video (with audio) of the road-side tests_ - How did the test really go? Even better, educate the jury with comparison video of sober, and sober/tired individuals.
* _Video (with audio) of the breathalyzer test in the police station_ - Was the defendant being willfully noncompliant? Maybe some additional statistics about how often this happens. Don't we have better testing techniques anyway, if blowing incorrectly can cause problems like this?
* _Video (with audio) of the arrest and trip to the police station_ - What was discussed? How did the defendant behave? How did the police officer behave?

I really don't think it's much to ask. We have the technology!

## Use of force

There's another aspect to all this: a growing body of evidence that there's something quite wrong with [how police officers in the United States apply force](http://www.myfoxboston.com/news/police-chase-ends-with-physical-altercation-suspect-in-handcuffs/276651297). And it really does [disproportionately impact marginalized groups](http://mappingpoliceviolence.org/unarmed/). The key to breaking through the carefully-worded statements on both sides of this issue was one thing: hard evidence. Video made all the difference, from dash cams, bystanders, reporters, and building security systems.

[These problems weren't new, not at all](https://www.instagram.com/p/BHqyIqDhism/). They had been happening for a long time. But only now, with the accountability that comes from these new tools of evidence collection, are we confronting the problem.

You can see why a courtroom filled with words and words alone would be frustrating to a modern jury.

## The Future

We need more data collection: cameras on officer uniforms, in cars, in police stations, etc. But we also need an attitude shift in the officers themselves: they should be focused on evidence collection. There's nothing more frustrating than inadequate hard evidence against someone who truly seems to be guilty.

Combine that with some de-escalation training and we might just make some progress on our police brutality problem too.

---

A few resources:

* The data:
    * The difference in police-caused deaths between White and Hispanic/Black is truly striking: http://journals.plos.org/plosone/article?id=10.1371%2Fjournal.pone.0141854
    * A more interactive view of the data: http://mappingpoliceviolence.org/compare-police-departments/
* A perspective from inside the police force: http://www.vox.com/2015/5/28/8661977/race-police-officer
* Some suggestions for what you can do about police brutality:
    * http://www.joincampaignzero.org
    * https://www.facebook.com/ijeoma.oluo/posts/10153536974817676
    * http://www.huffingtonpost.com/ravishly/what-you-can-do-right-now_1_b_7050424.html
    * https://medium.com/@Mandela/my-white-boss-talked-about-race-in-america-and-this-is-what-happened-fe10f1a00726#.venrwmk98
* Police-sourced video evidence is important, but citizen-sourced evidence is even more important. We need to prevent this: https://mic.com/articles/147377/the-new-i-phone-might-shut-off-next-time-you-try-to-film-the-police-in-public#.HrVlZCigF

